# tetrahedra

## Name

tetrahedra — The tetrahedra forming a 3-dimensional triangulation

## Synopsis

Content Model

    tetrahedra ::= (tet*)

Attributes
Name | Type
`ntet` | NUMBER (required)

## Description

A `tetrahedra` element stores the entire set of tetrahedra forming a 3-dimensional triangulation.

The total number of tetrahedra must be specified by the `ntet` attribute. The individual tetrahedra are numbered 0, 1, 2, etc., and their face gluings are described by the corresponding child `tet` elements. There must be precisely `ntet` child `tet` elements in total.

### Parents

The following elements contain `tetrahedra`: `packet` (3-dimensional triangulation).

### Children

The following elements occur in `tetrahedra`: `tet`.

## Attributes

`ntet`

  The total number of tetrahedra in this set. Note that there must be precisely this many child `tet` elements.

## Example

The following XML snippet represents a triangulation of a two-tetrahedron (1, 1, 2) layered solid torus.

    <tetrahedra ntet="2">
      <tet> 1 78 1 78 -1 -1 -1 -1 </tet>
      <tet> 1 57 1 147 0 78 0 78 </tet>
    </tetrahedra>